@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --text: #F1F1F1;
    --blueBlackground: #020315;
    --blue: #13135A;
    --blue2: #0B0B3D;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif;
}

a {
    text-decoration: none;
    color: var(--blue);
}

body {
    background-color: #020315;
    color: var(--text);
}

/* Barra de rolagem */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background-color: var(--blueBlackground);
    border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: #13135a9a;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: var(--blue2);
}

header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 3rem 5rem;
}

header img {
    width: 200px;
}

section {
    padding: 1rem 5px;
}

.divGradient {
    width: 100%;
    border-radius: 40px;
    background: linear-gradient(3deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 4vw;
}

.titleBlend {
    color: rgb(138, 138, 138);
    mix-blend-mode: color-dodge;
}

.sec1 {
    .etiqueta {
        text-align: center;
        display: flex;
        gap: 15px;
        padding: 14px 20px 14px 24px;
        margin-bottom: 80px;

        h1 {
            opacity: .5;
            font-size: 1rem;
            font-weight: 600;
        }

        i {
            opacity: .5;
            font-size: 1.2rem;

        }
    }

    h2 {
        font-size: 6rem;
    }

    .redes {
        display: flex;
        justify-content: space-between;
        width: 8rem;
        gap: 20px;

        img {
            width: 40px;
            transition: .4s;
        }


        img:hover {
            transform: scale(1.1);
        }
    }


    .tech {
        display: flex;
        align-items: center;
        gap: 32px;

        p {
            width: 280px;
            font-size: 1.1rem;
        }
    }

    .bxs-down-arrow-circle {
        font-size: 70px;
        color: rgba(0, 0, 0, 0.329);
        margin: 88px 0px 40px 0px;
    }
}

.divLogos {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 8rem;

    img {
        width: 60px;
        transition: .5s;
    }
}

.sec2 {
    .divGradient {
        background: linear-gradient(183deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
        flex-direction: row;
        display: flex;
        padding: 90px 4rem;
    }

    .esquerda {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: start;
        width: 100%;
        max-width: 500px;


        h2 {
            font-size: 7rem;
            display: flex;
            align-items: flex-start;
        }

        p {
            margin: 45px 50px 45px 0;
            line-height: 1.6;
            max-width: 450px;
        }

        a {
            transition: 0.5s;
            background-color: var(--text);
            font-size: 20px;
            font-weight: 600;
            color: var(--blue2);

            padding: 10px 25px;
            border-radius: 15px;
            text-align: center;

            i {
                font-size: 20px;
                text-align: center;
            }
        }

        a:hover {
            transform: scale(1.05) translateY(-3px);
            opacity: 0.7;
        }
    }


    .direita {
        display: grid;
        grid-template-columns: repeat(2, minmax(280px, 570px));
        justify-items: end;
        gap: 50px;
        margin: 50px 0px 30px auto;


        .degrade {
            background: linear-gradient(160deg, rgba(43, 43, 196, 0.35), rgba(11, 11, 61, 0.95));
            border-radius: 24px;
        }

        .card {
            padding: 30px;
            border-radius: 24px;
            transition: opacity 0.4s ease, transform 0.6s ease;

            h3 {
                margin: 24px 0px 8px;
                border-bottom: 2px #f1f1f163 solid;
            }

            p {
                margin-top: 15px;
                line-height: 1.6;
            }

            &:nth-child(2) {
                transition-delay: 100ms;
            }

            &:nth-child(3) {
                transition-delay: 300ms;
            }

            &:nth-child(4) {
                transition-delay: 500ms;
            }
        }
    }
}

.sec3 {
    flex-direction: row;

    .divGradient3 {
        width: 100%;
        border-radius: 40px;
        background: linear-gradient(3deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
        padding: 0 4.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    h2 {
        font-size: 5rem;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .cardTrabalho {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
        margin: 50px auto 0px auto;

        .trabalhos {
            background: linear-gradient(160deg, rgba(43, 43, 196, 0.25), rgba(11, 11, 61, 0.8));
            backdrop-filter: blur(12px);
            border-radius: 24px;
            padding: 25px 20px;
            transition: 0.7s;

            h4 {
                font-size: 1.2rem;
                display: flex;
                justify-content: center;
                align-items: center;
                margin: 15px 30px;
                padding-bottom: 15px;
                border-bottom: #F1F1F163 solid 1px;
            }

            img {
                width: 100%;
            }

            p {
                padding: 15px;
                display: flex;
                align-items: center;
                justify-content: center;
                text-align: center;
            }

            .linguagensUsadas {
                width: fit-content;
                margin: 10px auto 0px auto;
                gap: 25px;

                padding: 15px 25px;

                display: flex;
                justify-content: space-between;
                align-items: center;

                background-color: rgba(8, 8, 8, 0.205);
                border-radius: 15px;

                img {
                    width: 30px;
                    border: none;
                }
            }

            .btn {
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 15px;

                a {
                    padding: 12px 25px;
                    background-color: rgba(8, 8, 8, 0.205);
                    color: var(--text);
                    border-radius: 16px;
                    font-size: 1rem;
                    font-weight: 600;

                    display: inline-flex;
                    align-items: center;
                    justify-content: center;
                    text-decoration: none;
                    overflow: hidden;
                    position: relative;

                    transition: opacity .2s ense;

                    span {
                        transition: transform .5s ease;
                        display: inline-flex;
                        align-items: center;
                        gap: 12px;
                        /* controla o espaço */
                    }

                    i {
                        transition: transform .7s ease;
                    }

                    &:hover {
                        opacity: .8;

                        i {
                            transform: translate(40px, -40px);
                        }

                        span {
                            transform: translateX(14px);
                        }
                    }
                }
            }

            &:nth-child(2) {
                transition-delay: 200ms;
            }

            &:nth-child(3) {
                transition-delay: 400ms;
            }
        }

    }

    .text {
        padding: 30px;
        width: 70%;

        h2 {
            font-size: 2rem;
            text-align: center;
            letter-spacing: 2px;
        }
    }
}

.sec4 {
    .divGradient4 {
        width: 100%;
        border-radius: 40px;
        background: linear-gradient(185deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
        padding: 100px 4rem;
        position: relative;
    }

    .bxs-left-down-arrow-circle {
        position: absolute;
        font-size: 70px;
        color: rgba(0, 0, 0, 0.329);
        margin: 88px 0px 40px 0px;

        top: 5px;
        right: 40%;

        pointer-events: none;
    }

    .content {
        display: flex;
        align-items: center;
        justify-content: space-between;

        .esquerda {
            width: 100%;

            h2 {
                width: 100%;
                font-size: 6rem;
            }

            .botoes {
                margin: 50px 0px 25px;
                display: flex;
                gap: 15px;
                white-space: nowrap;

                a {
                    color: var(--text);
                    background-color: rgba(128, 128, 128, 0.24);
                    padding: 15px 25px;
                    border-radius: 15px;
                    font-size: 1rem;
                    text-decoration: none;
                    transition: 0.3s;

                    &:hover {
                        background-color: rgba(128, 128, 128, 0.4);
                        transform: translateY(-3px);
                    }
                }
            }
        }

        .direita {
            width: 40%;
            display: flex;
            align-items: flex-end;
            flex-direction: column;

            .forms {
                display: flex;
                flex-direction: column;
                gap: 20px;
                margin-bottom: 20px;
                border: #b9b9b957 2px solid;
                padding: 20px;
                border-radius: 20px;
                transition: 0.5s;

                &:hover {
                    border: #f1f1f1aa 2px solid;
                }
            }

            h4 {
                font-size: 1rem;
                text-align: center;
                font-weight: 500;
                padding: 10px;
                border-bottom: #b9b9b957 1px solid;
            }

            input,
            textarea {
                background-color: #f1f1f121;
                width: 100%;
                padding: 10px;
                border-radius: 10px;
                border: none;
                font-size: 16px;
                outline: none;
                color: var(--text);
            }

            textarea::placeholder {
                color: var(--text);
            }

            .btn {
                display: flex;
                justify-content: center;
                align-items: center;
                color: var(--blue2);
                background-color: var(--text);


                font-size: 20px;
                font-weight: 600;

                outline: none;
                border: none;
                font-size: 18px;
                transition: 0.5s;
                padding: 5px 25px;
                margin: 15px auto 15px;
                border-radius: 7px;

                &:hover {
                    transform: scale(1.05) translateY(-3px);
                    opacity: 0.7;
                }
            }
        }
    }
}

.sec5 {
    display: flex;

    .divGradient5 {
        width: 100%;
        border-radius: 40px;
        background: linear-gradient(8deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
        padding: 90px 4rem;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;

        .titleSec {
            display: flex;
            justify-content: center;
            width: 100%;
            align-items: center;
            margin: 0px 0px 80px 0px;
            font-size: 5rem;
        }

        .content {
            display: flex;
            align-items: center;
            justify-content: center;

            .esquerda {
                width: 40%;

                p {
                    font-size: 1.2rem;
                    line-height: 1.6;
                    padding: 10px 50px;
                    font-weight: 500;
                }
            }

            .direita {
                border-left: 2px solid rgba(241, 241, 241, 0.2);
                padding: 80px;
                display: flex;
                flex-direction: column;
                align-items: center;

                img {
                    width: 250px;
                }
            }

        }

    }
}

footer {
    margin: 1rem 5px;
    position: relative;
    overflow: hidden;

    .divGradient6 {
        width: 100%;
        border-radius: 40px;
        background: linear-gradient(180deg, rgba(43, 43, 196, 1) 7%, rgba(2, 3, 21, 1) 75%);
        padding: 0px 7rem;
        position: relative;
    }

    .footer-container {
        display: flex;
        text-align: center;
        align-items: flex-start;
        justify-content: space-between;
        gap: 10px;
        padding: 60px 4rem;

        .footer-logo {
            text-align: start;
            display: flex;
            flex-direction: column;
            gap: 20px;
            width: 50%;

            img {
                width: 200px;
            }

            p {
                font-size: 1.5rem;
            }

            .redes {
                display: flex;
                align-items: center;
                justify-content: start;
                gap: 20px;
                padding: 20px 0;

                border-top: solid 1px #f1f1f146;

                a img {
                    width: 35px;
                    transition: .5s;

                    &:hover {
                        transform: scale(1.1);
                    }
                }
            }

            address {
                display: flex;
                flex-direction: column;
                gap: 10px;

                a,
                p {
                    opacity: 0.8;
                    color: var(--text);
                    border-radius: 15px;
                    font-size: 14px;
                    text-decoration: none;
                    transition: all .5s;
                }
                a:hover {
                        opacity: 1;
                    }
            }
        }

        .footer-links-wrapper {
            display: flex;
            gap: 250px;
        }

        .footer-links {
            width: 30%;
            display: flex;
            flex-direction: column;
            text-align: start;
            gap: 20px;

            h3 {
                font-size: 1.3rem;
                color: #f1f1f1d3;
                white-space: nowrap;
            }

            ul {
                list-style: none;
                display: flex;
                flex-direction: column;
                gap: 10px;

                a,
                li {
                    color: #f1f1f19d;
                    font-size: 1rem;
                    transition: .5s;
                    white-space: nowrap;
                    position: relative;

                    a:hover {
                        color: var(--text);
                    }
                }

                a::after {
                    content: '';
                    position: absolute;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    height: 1px;
                    background-color: var(--text);
                    transform: scaleX(0);
                    transform-origin: center;
                    transition: transform 0.3s ease-in-out;
                }

                a:hover::after {
                    transform: scaleX(1);
                }
            }
        }
    }

    .footer-bottom {
        display: flex;
        align-items: center;
        justify-content: center;

        p {
            font-size: 14px;
            padding: 10px 90px;
            color: #f1f1f18f;
        }
    }
}

.back-to-top {
    background-color: #F1F1F1;
    opacity: .4;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    position: fixed;
    bottom: 30px;
    right: 50px;
    cursor: pointer;
    display: none;

    justify-content: center;
    align-items: center;

    i {
        color: #020315;
        font-size: 40px;
    }
}

.back-to-top-visible {
    display: flex;
}

/* Animações */
.hiddenLeft,
.hiddenRight {
    opacity: 0;
    filter: blur(10px);
    transition: opacity 0.6s ease, transform 0.6s ease, filter 0.6s ease;
}

.hiddenLeft {
    transform: translateY(-80px);
}

.hiddenRight {
    transform: translateY(80px);
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translatey(0);
}